Package Details: nuvolaruntime-mse 4.12.0-1

Git Clone URL: https://aur.archlinux.org/nuvolaruntime-mse.git (read-only)
Package Base: nuvolaruntime-mse
Description: Nuvola Apps Runtime - Tight integration of web apps with your desktop
Upstream URL: https://github.com/tiliado/nuvolaruntime/
Licenses: custom:BSD
Conflicts: nuvolaplayer, nuvolaruntime
Provides: nuvolaplayer, nuvolaruntime
Submitter: laramy2020
Maintainer: laramy2020
Last Packager: laramy2020
Votes: 0
Popularity: 0.000000
First Submitted: 2017-10-22 20:22
Last Updated: 2018-07-27 12:00

Dependencies (43)

Required by (24)

Sources (1)

Latest Comments

laramy2020 commented on 2017-11-18 22:22

@charlesmilette

PKGBUILD updated with typo fixed.

laramy2020 commented on 2017-11-16 19:18

@charlesmilette
EDIT: and i see the typo now... when i get home i will update it.

Nuvolaruntime and nuvolaruntime-mse will conflict with eachother because of webkit2gtk. The default webkit2gtk package does not have MSE enabled. The supplied aur package webkit2gtk-mse enables that feature.

Each version of nuvolaruntime will conflict with nuvolaplayer because they changed thier nuvola-app packaging so the 4 other packages wont run.

Some nuvola apps require MSE. And at the same time other dont. Even worse some that do need MSE makes the MSE version of nuvolaruntime crash (ex: deezer iirc)

As for the other 4 apps
nuvola-app-digitally-imported-git (requires nuvolaplayer)
nuvola-app-google-play-music (requires nuvolaplayer)
nuvola-app-spotify (requires nuvolaplayer)
nuvola-app-yandex-music-git (requires nuvolaplayer)

I don't yet control them.
I plan on asking for orphans on the ones that received updates but are yet to be updated after requesting the maintiner to update them, or not getting co-maintainer from them.

If you are looking for the other ones visit
https://github.com/laramy2020/NuvolaPlayer_Arch/tree/master/apps for the other PKGBUILDS

sylveon commented on 2017-11-16 13:57

There's a typo with the provides of the package: nuvolarutime instead of nuvolaruntime, which breaks installing this package when you already have apps installed:

==> Leaving fakeroot environment.
==> Finished making: nuvolaruntime-mse 4.8.0-4 (Thu Nov 16 08:53:07 EST 2017)
==> Cleaning up...
:: Installing nuvolaruntime-mse package(s)...
loading packages...
resolving dependencies...
looking for conflicting packages...
:: nuvolaruntime-mse and nuvolaruntime are in conflict (nuvolaplayer). Remove nuvolaruntime? [y/N]
error: failed to prepare transaction (could not satisfy dependencies)
:: nuvola-app-bandcamp: removing nuvolaruntime breaks dependency 'nuvolaruntime'
:: nuvola-app-google-play-music: removing nuvolaruntime breaks dependency 'nuvolaruntime'
:: nuvola-app-groove: removing nuvolaruntime breaks dependency 'nuvolaruntime'
:: nuvola-app-soundcloud: removing nuvolaruntime breaks dependency 'nuvolaruntime'
:: nuvola-app-youtube: removing nuvolaruntime breaks dependency 'nuvolaruntime'

laramy2020 commented on 2017-11-03 02:15

Fixed

laramy2020 commented on 2017-10-28 14:45

@petRUSka
Oops. I am out of the house. In the source URL change ${pkgname} to ${_pkgname}
Will update it when I get home.

petRUShka commented on 2017-10-28 09:12

Some errors with URL:

-> Downloading 4.8.0.tar.gz...
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
0 0 0 0 0 0 0 0 --:--:-- --:--:-- --:--:-- 0
curl: (22) The requested URL returned error: 404 Not Found
==> ERROR: Failure while downloading https://github.com/tiliado/nuvolaruntime-mse/archive/4.8.0.tar.gz
Aborting...
==> ERROR: Makepkg was unable to build nuvolaruntime-mse.